Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jreqtools
Class FileRequester

    java.lang.Object
      |
      +--jreqtools.FileRequester

public class FileRequester
extends java.lang.Object

Field Summary
`static int` | `CANCEL`
`static int` | `OK`

Constructor Summary
`FileRequester()`
`FileRequester(java.lang.String title)`
`FileRequester(java.lang.String title, java.io.File directory, java.lang.String filename)` Constructs a new StringRequester.

Method Summary
`void` | `addChoosableFileFilter(javax.swing.filechooser.FileFilter f)`
`void` | `addChoosableFileFilter(javax.swing.filechooser.FileFilter f, boolean makeDefault)` Deprecated.
`java.io.File` | `getFile()`
`java.io.File[]` | `getFiles()`
`int` | `request()`
`int` | `request(javax.swing.JFrame parent)`
`void` | `setDirectoriesOnly(boolean bool)`
`void` | `setFile(java.io.File file)`
`void` | `setFile(java.io.File directory, java.lang.String filename)`
`void` | `setLoadMode()`
`void` | `setMultiSelection(boolean b)`
`void` | `setSaveMode()`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CANCEL

    public static final int CANCEL

### OK

    public static final int OK

Constructor Detail

### FileRequester

    public FileRequester()

### FileRequester

    public FileRequester(java.lang.String title)

### FileRequester

    public FileRequester(java.lang.String title,
                         java.io.File directory,
                         java.lang.String filename)

  Constructs a new StringRequester.
  Parameters:
    `title` - - Title of the requester.
    `message` - - The message to be shown in the requester.
    `defaultstring` - - The initial value of the text field.

Method Detail

### addChoosableFileFilter

    public void addChoosableFileFilter(javax.swing.filechooser.FileFilter f)

### addChoosableFileFilter

    public void addChoosableFileFilter(javax.swing.filechooser.FileFilter f,
                                       boolean makeDefault)

  Deprecated.

### getFile

    public java.io.File getFile()

### getFiles

    public java.io.File[] getFiles()

### request

    public int request()

### request

    public int request(javax.swing.JFrame parent)

### setDirectoriesOnly

    public void setDirectoriesOnly(boolean bool)

### setFile

    public void setFile(java.io.File file)

### setFile

    public void setFile(java.io.File directory,
                        java.lang.String filename)

### setLoadMode

    public void setLoadMode()

### setMultiSelection

    public void setMultiSelection(boolean b)

### setSaveMode

    public void setSaveMode()

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD